/**
 * Allows to switch between different inputs.
 *
 *
 *
 */
import { TypedSopNode } from './_Base';
import { NodeParamsConfig } from '../utils/params/ParamsConfig';
declare class SwitchSopParamsConfig extends NodeParamsConfig {
    /** @param sets which input is used */
    input: import("../utils/params/ParamsConfig").ParamTemplate<import("../../poly/ParamType").ParamType.INTEGER>;
}
export declare class SwitchSopNode extends TypedSopNode<SwitchSopParamsConfig> {
    params_config: SwitchSopParamsConfig;
    static type(): string;
    static displayedInputNames(): string[];
    initializeNode(): void;
    cook(): Promise<void>;
}
export {};
